const keyMaps= {
  "入院记录": {
    "本人姓名":"姓名",
    "职业":"职业",
    "性别":"性别",
    "工作场所":"工作单位",
    "生日":"出生日期",
    "地址":"户口地址",
    "婚姻状况":"婚姻",
    "本人电话":"电话",
    "出生地址":"出生地",
    "入病房时间":"入病房时间",
    "民族":"民族",
    "联系人":"病史陈述者",
    "主诉":"主诉",
    "现病史":"现病史",
    "一般健康状况":"一般健康状况",
    "内科疾病史(其它)":"内科疾病史",
    "手术外伤史":"手术外伤史",
    "输血史":"输血史",
    "药物食物中毒史":"药物、食物中毒史",
    "传染病史":"传染病史",
    "长期用药":"长期用药情况(包括可能成瘾的药物)",
    "抗凝药物情况":"最近一周使用抗凝药物情况",
    "过敏史":"过敏史（包括食物和药物）",
    "个人史":"个人史",
    "出生、生长史":"出生、生长史",
    "冶游史":"冶游史",
    "化学及放射性毒物接触史":"化学或放射性毒物接触史",
    "个人史":"个人习惯史",
    "婚姻、月经及生育史":"婚姻史",
    "婚姻状况":"婚姻状况",
    "结婚年龄":"结婚年龄",
    "婚姻家庭关系和睦":"婚姻家庭关系和睦",
    "子女健康状况":"子女健康状况",
    "配偶健康状况":"配偶健康状况",
    "家族史":"家族史",
    "家庭成员类似病史":"家庭成员类似病史",
    "家庭成员健康情况":"家庭成员健康、疾病及死亡情况",
    "传染病史":"两系三代内传染性疾病、遗传性疾病或遗传",
    //"":"倾向性疾病",
    //"":"体格检查",
    "生命体征":"生命体征",
    "一般情况":"一般情况",
    "专科检查":"专科检查",
    "辅助检查结果":"辅助检查",
    "实验室检查":"实验室检查",
    "影像学检查":"影像学检查",
    "初步诊断":"初步诊断",
    "修正诊断":"修正诊断",
    "补充诊断":"补充诊断",
    //"":"记录医师",
    "记录日期":"记录日期及时间",
    /*"":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",
    "":"",*/
  },
  "出院小结":{
    "本人姓名":"姓名",
    "性别":"性别",
    "科别":"科别",
    "床号":"床号",
    "病历号":"病案号",
    "入院日期":"入院时间",
    "年龄":"年龄",
    "出院时间":"出院时间",
    "实际住院天数":"住院天数",
    "主诊医生":"医疗组长",
    "入院诊断":"入院诊断",
    "出院诊断":"出院诊断",
    "主诉":"入院情况",
    "体格检查":"体格检查",
    "体温耳":"体温",
    "脉搏":"脉搏",
    "呼吸":"呼吸",
    "血压":"血压",
    "辅助检查":"辅助检查",
    "诊治经过":"住院诊治经过(包括重要发现和结论，接受的药物和其他治疗)",
    "出院时情况":"出院时情况（症状与体征）",
    "出院状态":"出院状态",
    "出院后去处":"出院去向",
    "出院医嘱":"出院带药",
    "出院指导":"健康教育（包括饮食指导）",
    "随访复访安排":"随访计划（复诊安排）",
    "医生":"医生签名",
    "病历日期":"记录日期",
  },
  "病案首页":{
    "医疗付费方式":"医疗付费方式",
    "医疗机构名称":"医疗机构",
    "健康卡号":"健康卡号",
    "病案号":"病案号",
    "本人姓名":"姓名",
    "性别":"性别",
    "生日":"出生日期",
    "年龄":"年龄",
    "国籍":"国籍",
    "年龄单位":"(年龄不足1周岁的)年龄",
    "新生儿出生体重":"新生儿出生体重",
    "新生儿入院体重":"新生儿入院体重",
    "户口地址":"出生地",
    "籍贯":"籍贯",
    "民族":"民族",
    "身份证号":"身份证号",
    "职业":"职业",
    "婚姻":"婚姻",
    "现住址":"现住址",
    "本人电话":"电话",
    "现住址邮编":"邮编",
    "户口地址":"户口地址",
    "户口地址邮编":"邮编",
    "工作单位":"工作单位及地址",
    "工作单位电话":"单位电话",
    "工作单位邮编":"邮编",
    "联系人姓名":"联系人姓名",
    "联系人关系":"关系",
    "联系人地址":"地址",
    "联系人电话":"电话",
    "入院途径":"入院途径",
    "冶游史":"冶游史",
    "入院时间":"入院时间",
    "入院科别":"入院科别",
    "入院床位号码":"病床",
    "转科科别":"转科科别",
    "出院时间":"出院时间",
    "婚姻家庭关系和睦":"出院科别",
    "出院床位号码":"病床",
    "实际住院天数":"实际住院",
    "门急诊诊断":"门（急）诊诊断",
    "出院诊断":"出院诊断",
    "门急诊诊断编码":"疾病编码",
    "损伤中毒因素":"损伤、中毒的外部原因",
    "损伤中毒因素编码":"疾病编码",
    "病理诊断":"病理诊断",
    "病理诊断编码":"疾病编码",
    "病理号":"病理号",
    "药物过敏":"药物过敏",
    "过敏药物":"过敏药物",
    "死亡患者尸检":"死亡患者尸检",
    "血型":"血型",
    "Rh":"Rh",
    "科主任":"科主任",
    "主诊医生":"主任(副主任)医师",
    "主治医师":"主治医师",
    "住院医师":"住院医师",
    "责任护士":"责任护士",
    "进修医师":"进修医师",
    "质控护士":"质控护士",
    "质控日期":"质控日期",
    "手术及操作编码":"手术信息",
    "离院方式":"离院方式",
    "拟接收医疗机构名称":"拟接收医疗机构名称",
    "31天内再住院计划":"是否有出院31天内再住院计划",
    "再住院目的":"目的",
    "颅脑损伤患者昏迷前分钟":"颅脑损伤患者昏迷时间",
    "总费用":"住院费用(元)",
  },
};

module.exports ={
  keyMaps
};